import click


@click.command(name='logs')
@click.argument('search', nargs=-1)  # multi items
@click.option('--limit', '-l', default=10, type=int, help='Limit number of logs lines return')
@click.option('--repository', '-r', default=0, type=str, help='')
@click.option('--login', '-u', default='', type=str, help='')
@click.option('--password', '-p', default='', type=str, help='')
@click.pass_obj
def run(app, search, limit, repository, login, password):
    """
    > master logs [SEARCH] [--limit LIMIT] [--repository REPOSITORY] [--login LOGIN] [--password PASSWORD]
    """
    on_logs(app, search, limit, repository, login, password)


def on_logs(app, search=None, limit=10, repository=0, login=None, password=None):
    """
    > master logs [SEARCH] [--limit LIMIT] (list logs with filter eventually)
    """
    # if check_db_connect(app):
    #     logs = app.get_logs(search=search, limit=limit)
    #     display.display_logs(app, logs, search, limit)
    print('Not implemented')
    