import click

from sdi_checker.app_cli.commands.audits import list as cmd_list
from sdi_checker.app_cli.commands.audits import add as cmd_add
from sdi_checker.app_cli.commands.audits import delete as cmd_delete
from sdi_checker.app_cli.commands.audits import edit as cmd_edit
from sdi_checker.app_cli.commands.audits import run as cmd_run


@click.group(name="audits")
@click.pass_obj
@click.pass_context
def cli_audits(ctx, app):
    """Pleasantries CLI"""
    app.cli(ctx)


cli_audits.add_command(cmd_list.run)
cli_audits.add_command(cmd_add.run)
cli_audits.add_command(cmd_delete.run)
cli_audits.add_command(cmd_edit.run)
cli_audits.add_command(cmd_run.run)
