import click

from sdi_checker.app_cli.commands.check import wms as cmd_wms
from sdi_checker.app_cli.commands.check import wfs as cmd_wfs
from sdi_checker.app_cli.commands.check import csw as cmd_csw
from sdi_checker.app_cli.commands.check import test as cmd_test


@click.group(name="check")
@click.pass_obj
@click.pass_context
def cli_check(ctx, app):
    """Pleasantries CLI"""
    app.cli(ctx)


cli_check.add_command(cmd_wms.run)
cli_check.add_command(cmd_wfs.run)
cli_check.add_command(cmd_csw.run)
cli_check.add_command(cmd_test.run)
