import os
import click


@click.command(name='clear_history')
@click.pass_obj
def run(app):
    """
    > master clear_history
    """
    on_clear_history(app)


def on_clear_history(app, repository, login, password):
    """
    clear history file
    > master clear_history
    """
    if os.path.isfile(app.config['history']['file']):
        os.remove(app.config['history']['file'])
    